package Template::Plugin::Sajax;
use Sajax;
use vars qw($VERSION);

$VERSION = '0.02';
use base qw(Template::Plugin::Procedural);

=head1 NAME

Template::Plugin::Sajax - Call Sajax from TT

=head1 SYNOPSIS

  [% USE Sajax %]
  [% Sajax.rs_show_javascript(request) %]

=head1 DESCRIPTION

... to be done ...

=head1 FUNCTIONS PROVIDED

These are the functions that you can use once you've loaded the
plugin.

... to be done ...

=head2 Including the Sajax Javascript

=over

=item rs_show_javascript

Return the Javascript as a string to the client.

=back

=cut

sub rs_show_javascript { 
  warn "Returning Javascript:";
  my $js = Sajax::rs_show_javascript( @_ );
  warn $js;
  $js
}

=head1 AUTHOR

Written by Max Maischein E<lt>corion@cpan.orgE<gt>

Uses the Sajax module, http://www.modernmethod.com/sajax/.

Except as indicated in comments in the code, Copyright Max Maischein
2005; All Rights Reserved.

This program is free software; you can redistribute it
and/or modify it under the same terms as Perl itself.

=head1 BUGS

None known.

Bugs should be reported to me via the CPAN RT system.
L<http://rt.cpan.org/NoAuth/ReportBug.html?Queue=Template-Plugin-Sajax>.

=head1 SEE ALSO

L<Sajax> (for doing this in Perl)

=cut

1;